Update an Account

This operation updates account information.

If all parameters are valid and updates have been made, it returns with status code 200. The response is the account model.

Multi-Live Accounts (MLA): The primary_account_holder_id field is read-only after the account is created. Omitting it or supplying the value already associated with the account is a no-op; supplying a different value returns HTTP 400.

Path Params
uuid
required

Account identifier.

Body Params
contact
object

Contact is the model for the account owner contact information.

identity
object

Identity is the model to provide account owner’s identity information.

disclosures
object

Disclosures fields denote if the account owner falls under each category defined by FINRA rule. The client has to ask questions for the end user and the values should reflect their answers. If one of the answers is true (yes), the account goes into ACTION_REQUIRED status.

agreements
array of objects

Additional agreements, or new revisions of existing agreements, read and signed by the account holder.

agreements
trusted_contact
object

This model input is optional. However, the client should make reasonable effort to obtain the trusted contact information. See more details in FINRA Notice 17-11

Only one of the following is required:

  • email_address
  • phone_number
  • street_address
beneficiaries
array of objects
beneficiaries
cash_interest
object

Use this property to change the account's configuration for the USD cash interest program. To enroll the account, specify the apr_tier_name. The status should not be specified on enrollment. To change the APR tier, specify the new apr_tier_name. The status should not be specified on tier changes. The unenroll, set the status to INACTIVE. After any change, the response will contain a status of PENDING_CHANGE. An event showing the status change to ACTIVE (for enrollment or tier changes) or INACTIVE (for unenrollment) will be generated when the change is complete.

fpsl
object

The account's Fully Paid Securities Lending (FPSL) configuration. Use this property to change the account's configuration for the FPSL program. To enroll the account for a market, specify the tier_id. The status should not be specified on enrollment. To change the tier, specify the new tier_id. The status should not be specified on tier changes. To unenroll, set the status to INACTIVE. To re-enroll the account, set the status to ACTIVE. You can also specify the tier_id in case you want to change it. Currently only US market is supported.

uuid

The UUID of the primary account holder. This field is immutable after the account is created.

  • Omitting the field, or supplying the value already associated with the account, is a no-op.
  • Supplying a value different from the current primary account holder returns HTTP 400.
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json